summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Alan Alberghini2010-12-16 12:00:34 +0100
committer Erik Hanson2010-12-17 14:56:48 +0100
commit624f6764ac3bdfb22d8eb251f2ea411dc5bb7d0f (patch)
tree1e88e8d23a61e9318f308916429c2c86b5e2856d /system
parent33fb5cc27e33b9a000e39a79ccad69f976605bb2 (diff)
downloadslackbuilds-624f6764ac3bdfb22d8eb251f2ea411dc5bb7d0f.tar.gz
system/jdiskreport (disk usage report)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/jdiskreport/README6
-rw-r--r--system/jdiskreport/jdiskreport.SlackBuild86
-rw-r--r--system/jdiskreport/jdiskreport.desktop71
-rw-r--r--system/jdiskreport/jdiskreport.info10
-rw-r--r--system/jdiskreport/jdiskreport.pngbin0 -> 2717 bytes
-rw-r--r--system/jdiskreport/slack-desc19
6 files changed, 192 insertions, 0 deletions
diff --git a/system/jdiskreport/README b/system/jdiskreport/README
new file mode 100644
index 0000000000..7614efd683
--- /dev/null
+++ b/system/jdiskreport/README
@@ -0,0 +1,6 @@
+JDiskReport enables you to understand how much space the files and directories
+consume on your disk drives, and it helps you find obsolete files and folders.
+
+The tool analyses your disk drives and collects several statistics which you
+can view as overview charts and details tables.
+
diff --git a/system/jdiskreport/jdiskreport.SlackBuild b/system/jdiskreport/jdiskreport.SlackBuild
new file mode 100644
index 0000000000..580b6546fb
--- /dev/null
+++ b/system/jdiskreport/jdiskreport.SlackBuild
@@ -0,0 +1,86 @@
+#!/bin/sh
+
+# Slackware build script for jdiskreport
+
+# Copyright (c) 2009 Alan Alberghini <414N@slacky.it>
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+#
+# Build history:
+#
+# 1 - Initial release.
+
+PRGNAM=jdiskreport
+VERSION=${VERSION:-1.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="README.txt LICENSE.txt RELEASE-NOTES.txt"
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+unzip -a "$CWD/$PRGNAM-$(echo $VERSION | tr . _).zip"
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/opt/$PRGNAM $PKG/usr/doc/$PRGNAM-$VERSION $PKG/usr/share/applications \
+ $PKG/usr/share/pixmaps $PKG/usr/bin
+install -m0755 $PRGNAM-$VERSION.jar $PKG/opt/$PRGNAM
+install -m0644 "$CWD/jdiskreport.png" $PKG/usr/share/pixmaps
+install -m0644 "$CWD/jdiskreport.desktop" $PKG/usr/share/applications
+
+# Create a simple wrapper in /usr/bin...
+
+cat > $PKG/usr/bin/jdiskreport << END
+#!/bin/sh
+
+java -jar /opt/jdiskreport/jdiskreport-$VERSION.jar $@
+
+END
+
+#... and mark it executable
+chmod 755 $PKG/usr/bin/jdiskreport
+
+cp -a \
+ $DOCS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/jdiskreport/jdiskreport.desktop b/system/jdiskreport/jdiskreport.desktop
new file mode 100644
index 0000000000..850a822730
--- /dev/null
+++ b/system/jdiskreport/jdiskreport.desktop
@@ -0,0 +1,71 @@
+[Desktop Entry]
+Name=JDiskReport
+Exec=/usr/bin/jdiskreport $@
+Icon=jdiskreport
+Type=Application
+GenericName=View Disk Usage
+GenericName[af]=Besigtig Disket Gebruik
+GenericName[ar]=عرض المستخدم من القرص
+GenericName[bg]=Свободно място на диска
+GenericName[ca]=Veure l'ús de disc
+GenericName[ca@valencia]=Veure l'ús de disc
+GenericName[cs]=Zobrazení využití disku
+GenericName[cy]=Gweld Defnydd y Disg
+GenericName[da]=Se diskforbrug
+GenericName[de]=Festplattenbelegung etc. anzeigen
+GenericName[el]=Προβολή χρήσης του δίσκου
+GenericName[en_GB]=View Disk Usage
+GenericName[eo]=Vidi la diskspac-uzadon
+GenericName[es]=Muestra el uso del disco
+GenericName[et]=Kettakasutus
+GenericName[eu]=Erakutsi Diskoaren Erabilera
+GenericName[fa]=مشاهدۀ کاربرد دیسک
+GenericName[fi]=Näytä levynkäyttö
+GenericName[fr]=Affiche l'utilisation de l'espace disque
+GenericName[ga]=Taispeáin úsáid diosca
+GenericName[gl]=Visor do uso dos discos
+GenericName[he]=הצגת שיעור השימוש בדיסקים
+GenericName[hne]=डिस्क उपयोग देखव
+GenericName[hr]=Prikazuje iskorištenost diska
+GenericName[hu]=Lemezterület-kijelző
+GenericName[is]=Skoða nýtni á diskum
+GenericName[it]=Mostra l'uso del disco
+GenericName[ja]=ディスク使用状況を表示
+GenericName[kk]=Дискідегі орынды көрсету
+GenericName[km]=មើល​ការ​ប្រើ​ថាស
+GenericName[ko]=디스크 사용량 보기
+GenericName[lt]=Žiūrėti disko panaudojimą
+GenericName[lv]=Skatīt diska vietas izlietojumu
+GenericName[mk]=Видете ја искористеноста на дискот
+GenericName[ms]=Lihat Penggunaan Cakera
+GenericName[nb]=Vis diskplass
+GenericName[nds]=Fastplattbruuk wiesen
+GenericName[ne]=डिस्क उपयोग हेर्नुहोस्
+GenericName[nl]=Schijfgebruik bekijken
+GenericName[nn]=Vis diskbruk
+GenericName[pa]=ਡਿਸਕ ਵਰਤੀ ਥਾਂ ਵੇਖੋ
+GenericName[pl]=Informacja o wolnym miejscu na dyskach
+GenericName[pt]=Utilização do Disco
+GenericName[pt_BR]=Visualiza a utilização do disco
+GenericName[ro]=Afișează utilizarea discului
+GenericName[ru]=Статистика использования дисков
+GenericName[sk]=Zobrazenie využitia disku
+GenericName[sl]=Pokaže porabo diska
+GenericName[sr]=Приказ попуњености дискова
+GenericName[sr@ijekavian]=Приказ попуњености дискова
+GenericName[sr@ijekavianlatin]=Prikaz popunjenosti diskova
+GenericName[sr@latin]=Prikaz popunjenosti diskova
+GenericName[sv]=Visa diskanvändning
+GenericName[ta]=வட்டு பயன்பாட்டை பார்க்கவும்
+GenericName[tg]=Назари Истифодабарии Диск
+GenericName[th]=แสดงการใช้พื้นที่ดิสก์
+GenericName[tr]=Disk Kullanımını Görüntüle
+GenericName[uk]=Перегляд використання диска
+GenericName[vi]=Xem đĩa trống
+GenericName[wa]=Vey l' eployaedje del deure plake
+GenericName[xh]=Jonga Ukusebenziseka KweDiskic
+GenericName[x-test]=xxView Disk Usagexx
+GenericName[zh_CN]=查看磁盘使用状况
+GenericName[zh_TW]=檢視磁碟使用情形
+Terminal=false
+Categories=System;
diff --git a/system/jdiskreport/jdiskreport.info b/system/jdiskreport/jdiskreport.info
new file mode 100644
index 0000000000..a1adb2fa81
--- /dev/null
+++ b/system/jdiskreport/jdiskreport.info
@@ -0,0 +1,10 @@
+PRGNAM="jdiskreport"
+VERSION="1.3.2"
+HOMEPAGE="http://www.jgoodies.com/freeware/jdiskreport/"
+DOWNLOAD="http://www.jgoodies.com/download/jdiskreport/jdiskreport-1_3_2.zip"
+MD5SUM="1528c001529947487c1853fa32052cae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Alan Alberghini"
+EMAIL="414N@slacky.it"
+APPROVED="Niels Horn"
diff --git a/system/jdiskreport/jdiskreport.png b/system/jdiskreport/jdiskreport.png
new file mode 100644
index 0000000000..bc62c5d6b0
--- /dev/null
+++ b/system/jdiskreport/jdiskreport.png
Binary files differ
diff --git a/system/jdiskreport/slack-desc b/system/jdiskreport/slack-desc
new file mode 100644
index 0000000000..9f51da8912
--- /dev/null
+++ b/system/jdiskreport/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+jdiskreport: JDiskReport (disk usage report)
+jdiskreport:
+jdiskreport: JDiskReport enables you to understand how much space the files and
+jdiskreport: directories consume on your disk drives, and it helps you find
+jdiskreport: obsolete files and folders.
+jdiskreport: This is ad-free uncrippled no-charge binary multi-platform software
+jdiskreport: that never expires.
+jdiskreport:
+jdiskreport: Homepage: http://www.jgoodies.com/freeware/jdiskreport/
+jdiskreport:
+jdiskreport: